security-vulnerability-in-firefox-16